class ChangeTaskStatusRequest {
  int ?orderId;
  String ?status;
  double ?lat;
  double ?lng;

  ChangeTaskStatusRequest({this.orderId, this.status, this.lat, this.lng});

  ChangeTaskStatusRequest.fromJson(Map<String, dynamic> json) {
    orderId = json['orderId'];
    status = json['status'];
    lat = json['lat'];
    lng = json['lng'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['orderId'] = this.orderId;
    data['status'] = this.status;
    if (lat != null) data['lat'] = this.lat;
    if (lng != null) data['lng'] = this.lng;
    return data;
  }

  @override
  String toString() {
    return 'ChangeTaskStatusRequest{orderId: $orderId, status: $status, lat: $lat, lng: $lng}';
  }
}
